#include <iostream>

using namespace std;

int n, k, x;

int del(){
    for (int i = 2; i * i <= n; ++i){
        if (n % i == 0 && n/i + i <= n){
                return i;
        }
    }
}

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cin >> n >> k >> x;
    if (n == k){
        int delbr = del();
        for (int i = 0; i < delbr; ++i){
            cout << 1 << " ";
        }
        for (int i = 0; i < n - delbr - n/delbr; ++i)
            cout << x << " ";
        for (int i = 0; i < n/delbr; ++i)
            cout << x+1 << " ";
        return 0;
    }
    cout << "1 ";
    for (int i = 0; i < n - k - 1; ++i)
        cout << x << " ";
    for(int i = 0; i < k; ++i)
        cout << x+1 << " ";
    return 0;
}